/*
 * $Id: IDDLaunchConstants.java,v 1.2 2005/07/26 13:30:18 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 20.07.2005 19:12:51 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher;

/**
 * Constants for the launch configuration of the dd run.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public interface IDDLaunchConstants {

    public final static String PASSING_TEST_NAME = DDStateLaunchPlugin.PLUGIN_ID
            + ".PASSING_TEST_NAME";

    public final static String FAILING_TEST_NAME = DDStateLaunchPlugin.PLUGIN_ID
            + ".FAILING_TEST_NAME";

    public final static String ENABLE_MATCHPOINT_FINDER = DDStateLaunchPlugin.PLUGIN_ID
            + ".ENABLE_MATCHPOINT_FINDER";

    public final static String FAILING_BP_LINE_NUMBER = DDStateLaunchPlugin.PLUGIN_ID
            + ".FAILING_BP_LINENUMBER";

    public final static String FAILING_BP_HIT_COUNT = DDStateLaunchPlugin.PLUGIN_ID
            + ".FAILING_BP_HIT_COUNT";

    public final static String PASSING_BP_CLASS_NAME = DDStateLaunchPlugin.PLUGIN_ID
            + ".PASSING_BP_CLASS_NAME";

    public final static String FAILING_BP_CLASS_NAME = DDStateLaunchPlugin.PLUGIN_ID
            + ".FAILING_BP_CLASS_NAME";

    public final static String PASSING_BP_LINE_NUMBER = DDStateLaunchPlugin.PLUGIN_ID
            + ".PASSING_BP_LINENUMBER";

    public final static String PASSING_BP_HIT_COUNT = DDStateLaunchPlugin.PLUGIN_ID
            + ".PASSING_BP_HIT_COUNT";

}