/*
 * $Id: IDDTestResult.java,v 1.1 2005/06/14 17:30:15 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 14.06.2005 15:07:37 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.ddrun;

import org.deltadebugging.ddcore.DeltaSet;

/**
 * COMMENTME Comment type IDDTestResult
 *
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public interface IDDTestResult {
    
    public int getSerialNumber();
    public DeltaSet getTestedDeltas();
    public int getOutcome();

}
