/*
 * $Id: TestRunnerTest.java,v 1.2 2005/08/10 14:33:14 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 17.03.2005 10:57:24 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.server;

import junit.framework.TestCase;

import org.deltadebugging.ddstate.launcher.client.ObjectCreationException;
import org.deltadebugging.ddstate.launcher.client.testrunner.JUnitTestDescription;

/**
 * COMMENTME Comment type TestRunnerTest
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class TestRunnerTest extends TestCase {

    public void testTestRunner() throws ObjectCreationException {
        JUnitTestRunner runner = new JUnitTestRunner(true);

        JUnitTestDescription testDesc = new JUnitTestDescription(
                "org.deltadebugging.ddstate.launcher.server.TestRunnerTest",
                "testSimple");
        runner.run(testDesc);
        runner.createNewObject("java.util.Vector");
    }

    public void testSimple() {
        System.out.println("TestSimple");
    }

}