/*
 *  
 */
package org.deltadebugging.ddstate.launcher.server.instrumenter;

import java.io.Serializable;

public class MethodIdentifier implements Serializable {

    static final long serialVersionUID = -7519797401190177876L;

    private String fMethodName = null;
    private String fSignature = null;
    private String fClassName = null;

    public MethodIdentifier(String className, String methodName,
            String signature) {
        this.fMethodName = methodName;
        this.fSignature = signature;
        this.fClassName = className;
    }

    public String getClassName() {
        return this.fClassName;
    }

    public String getMethodName() {
        return this.fMethodName;
    }

    public String getSignature() {
        return this.fSignature;
    }

    public int hashCode() {
        return toString().hashCode();
    }

    public boolean equals(Object object) {
        return toString().equals(object.toString());
    }

    public String toString() {
        return this.fClassName + "#" + this.fMethodName + "#" + this.fSignature;
    }

}
