/*
 * $Id: EqualLengthTest.java,v 1.2 2005/09/28 13:15:48 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 04.05.2005 20:15:42 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.testsuite.delta.arrayreference.object;

import junit.framework.Assert;
import junit.framework.TestCase;

import org.deltadebugging.ddstate.testsuite.delta.testobjects.Pet;

public class EqualLengthTest extends TestCase {

	public void testPassingRun() {
		Pet[] pets = new Pet[] { Pet.getDog(), Pet.getCat(), null };
		Assert.assertEquals(Pet.getCat().getClass().getName(), pets[1]
				.getClass().getName());
	}

	public void testFailingRun() {
		Pet[] pets = new Pet[] { null, Pet.getMouse(), Pet.getCat() };
		Assert.assertEquals(Pet.getCat().getClass().getName(), pets[1]
				.getClass().getName());
	}
}
