/*
 * $Id: ClassTest.java,v 1.1 2005/09/29 06:29:47 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 05.05.2005 18:29:28 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.testsuite.delta.classtest;

import junit.framework.Assert;
import junit.framework.TestCase;

public class ClassTest extends TestCase {

	public void testPass() throws ClassNotFoundException {
		Class type = null;
		Assert.assertNull(type);
	}

	public void testFail() throws ClassNotFoundException {
		Class type = int.class;
		Assert.assertNull(type);
	}
	
	public void testIntegerPass() {
		Integer i = null;
		Assert.assertNull(i);
	}
	
	public void testIntegerFail() {
		Integer i = new Integer(12);
		Assert.assertNull(i);
	}

}
