/*
 * $Id: SuperclassTest.java,v 1.2 2005/09/28 13:15:48 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 05.05.2005 18:29:28 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.testsuite.memgraph.superclass;

import junit.framework.Assert;
import junit.framework.TestCase;

/**
 * Breakpoints should be set to linenumber 32 and 40.
 */
public class SuperclassTest extends TestCase {

	private Car car = null;

	public void testPassingRun() {
		this.car = new Porsche(355, 85176, "911 Carrera S", true);
		Assert.assertEquals(Porsche.class, this.car.getClass());
	}

	public void testFailingRun() {
		this.car = new Volkswagen(75, 20000, "Golf V");
		Assert.assertEquals(Porsche.class, this.car.getClass());
	}
}