package org.deltadebugging.addressbook;

import java.util.LinkedList;
import java.util.List;

public class TelefonList {

	private final List fTelefonList = new LinkedList();

	public void addAddress(Address address) {
		this.fTelefonList.add(address);
	}

	public void removeAddress(Address address) {
		if (this.fTelefonList.contains(address)) {
			this.fTelefonList.remove(address);
		}
	}

	public Address getNextAddress(Address address) {
		Address result = null;

		int index = this.fTelefonList.lastIndexOf(address);
		if (index > -1) {
			if (index < this.fTelefonList.size()) {
				result = (Address) this.fTelefonList.get(index + 1);
			}
		}

		return result;
	}

}
