/*
 * $Id: EqualLengthTest.java,v 1.2 2005/09/28 13:15:48 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 25.04.2005 10:25:18 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.testsuite.delta.arrayreference.primitive;

import junit.framework.Assert;
import junit.framework.TestCase;

import org.deltadebugging.ddstate.testsuite.delta.testobjects.IP;

public class EqualLengthTest extends TestCase {

	public void testPassingRun() {
		IP ipAdress = new IP("192.168.30.50");
		Assert.assertEquals('5', ipAdress.getCharAt(11));
	}

	public void testFailingRun() {
		IP ipAdress = new IP("192.163.34.44");
		Assert.assertEquals('5', ipAdress.getCharAt(11));
	}

}