/*
 * $Id: NewObjectTest.java,v 1.4 2005/09/28 13:15:48 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 25.04.2005 10:25:18 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.testsuite.delta.newobject.ojbect;

import junit.framework.Assert;
import junit.framework.TestCase;

import org.deltadebugging.ddstate.testsuite.delta.testobjects.Pet;

public class NewObjectTest extends TestCase {

    public void testPassingRun() {
        Pet myPet = null;
        Assert.assertTrue(!(myPet instanceof Pet));
    }

    public void testFailingRun() {
        Pet myPet = Pet.getDog();
        Assert.assertTrue(!(myPet instanceof Pet));
    }

}