/*
 * $Id: IVisualizerPreferenceConstants.java,v 1.3 2005/08/12 12:15:36 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 24.03.2005 09:13:04 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.visualizer;

/**
 * This constants are used in the preference page of the graph visualizer.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public interface IVisualizerPreferenceConstants {

	public final static String GRAPHVIZ_ENABLE_VISUALIZATION = VisualizerPlugin.PLUGIN_ID
			+ ".enable";

	public final static String GRAPHVIZ_MEMGRAPH_PATH = VisualizerPlugin.PLUGIN_ID
			+ ".viz_path";

	public final static String GRAPHVIZ_SHOW_FULL_QUALIFIED_NAMES = VisualizerPlugin.PLUGIN_ID
			+ ".graphviz_full_qualified_names";

	public final static String GRAPHVIZ_FILTER_TYPES = VisualizerPlugin.PLUGIN_ID
			+ ".graphviz_filter_type";
}