/*
 * $Id: IGraphElementComparable.java,v 1.1 2005/02/07 10:06:17 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on Sep 29, 2004 5:37:12 PM by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.comparator;

import org.deltadebugging.ddstate.comparator.delta.IDeltaComparable;
import org.deltadebugging.ddstate.comparator.mcs.IMCSComparable;

/**
 * COMMENTME Comment type IGraphElementComparable
 *
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public interface IGraphElementComparable extends IMCSComparable, IDeltaComparable {
	public void setDiffVisualizerFlag();
	
	public boolean isDiffVisualizerFlagSet();
}
