/*
 * $Id: DeltaComparatorException.java,v 1.2 2005/07/13 07:13:23 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 14.12.2004 15:36:12 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.comparator.exceptions;

/**
 * COMMENTME Comment type DeltaComparatorException
 *
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public class DeltaComparatorException extends GraphComparatorException {

    private static final long serialVersionUID = -7302092087474916025L;

    /**
     * 
     */
    public DeltaComparatorException() {
        super();
    }

    /**
     * @param message
     */
    public DeltaComparatorException(String message) {
        super(message);
    }

    /**
     * @param cause
     */
    public DeltaComparatorException(Throwable cause) {
        super(cause);
    }

    /**
     * @param message
     * @param cause
     */
    public DeltaComparatorException(String message, Throwable cause) {
        super(message, cause);
    }

}

