/*
 * $Id: DeltaComputationException.java,v 1.2 2005/07/13 07:13:23 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 21.04.2005 10:22:15 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.memorygraph.exceptions;

/**
 * COMMENTME Comment type DeltaComputationException
 *
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public class DeltaComputationException extends MemoryGraphException {

    private static final long serialVersionUID = 3898271765110608240L;

    /**
     * 
     */
    public DeltaComputationException() {
        super();
    }
    
    /**
     * @param message
     */
    public DeltaComputationException(String message) {
        super(message);
    }
    
    /**
     * @param message
     * @param cause
     */
    public DeltaComputationException(String message, Throwable cause) {
        super(message, cause);
    }
    
    /**
     * @param cause
     */
    public DeltaComputationException(Throwable cause) {
        super(cause);
    }
}
